### Virtual Method

# Ide SourceView movement

#### Declaration

    void
    movement (
      IdeSourceView* self,
      IdeSourceViewMovement movement,
      gboolean extend_selection,
      gboolean exclusive,
      gboolean apply_count
    )

#### Description

No description available.

#### Parameters

`movement` | `IdeSourceViewMovement`
| No description available.
`extend_selection` | `gboolean`
| No description available.
`exclusive` | `gboolean`
| No description available.
`apply_count` | `gboolean`
| No description available.